Rails.application.routes.draw do
  post "/validate",                      to: "candidate#validate",       as: :validate_candidate
   get "/welcome",                       to: "candidate#welcome",        as: :welcome
   get "/thankyou",                      to: "candidate#thankyou",       as: :thankyou
   get "/saved",                         to: "candidate#saved",          as: :saved

  post "/question(/:answer_id)",         to: "candidate#update_answer",  as: :post_answer
   get "/question(/:question_id)",       to: "candidate#question",       as: :question
   get "/live-coder-entry/:question_id", to: "candidate#live_coder",     as: :live_coder

  post "/summary",                       to: "candidate#update_summary", as: :post_summary
   get "/summary",                       to: "candidate#summary",        as: :summary

  root to: "candidate#welcome"

  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html
end
